Bug 1418630 - gluster firewalld service should be added to the default firewall zone
Summary: gluster firewalld service should be added to the default firewall zone
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-node
Classification: oVirt
Component: General
Version: master
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: ovirt-4.1.1
: 4.1
Assignee: Ryan Barry
QA Contact: cshao
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-02-02 11:46 UTC by SATHEESARAN
Modified: 2017-04-21 09:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:41:51 UTC
oVirt Team: Node
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
sbonazzo: devel_ack+
cshao: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 71636 master MERGED node: add glusterfs to the default firewall zone 2017-02-16 07:25:39 UTC
oVirt gerrit 72395 ovirt-4.1 MERGED node: add glusterfs to the default firewall zone 2017-02-16 08:23:03 UTC

Description SATHEESARAN 2017-02-02 11:46:34 UTC
Description of problem:
-----------------------
With the availability of glusterfs-server rpms with RHV-H NG, glusterfs firewalld service should get added to the default zone automatically

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
RHV-H NG node - RHVH-4.1-20170127.0-RHVH-x86_64-dvd1.iso 

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Install RHV-H NG using the ISO
2. Check for the firewall services added to default firewall zone

Actual results:
---------------
glusterfs firewalld service is not available with the default firewall zone

Expected results:
-----------------
glusterfs firewalld service should be available with the default firewall zone

Additional info:
----------------
[root@ ~]# firewall-cmd --list-services
cockpit dhcpv6-client ssh vdsm libvirt

[root@ ~]# cat /usr/lib/firewalld/services/glusterfs.xml 
<?xml version="1.0" encoding="utf-8"?>
<service>
<short>glusterfs-static</short>
<description>Default ports for gluster-distributed storage</description>
<port protocol="tcp" port="24007"/>    <!--For glusterd -->
<port protocol="tcp" port="24008"/>    <!--For glusterd RDMA port management -->
<port protocol="tcp" port="38465"/>    <!--Gluster NFS service -->
<port protocol="tcp" port="38466"/>    <!--Gluster NFS service -->
<port protocol="tcp" port="38467"/>    <!--Gluster NFS service -->
<port protocol="tcp" port="38468"/>    <!--Gluster NFS service -->
<port protocol="tcp" port="38469"/>    <!--Gluster NFS service -->
<port protocol="tcp" port="49152-49664"/>  <!--512 ports for bricks -->
</service>

Comment 1 cshao 2017-02-07 02:41:56 UTC
QE can reproduce this issue.

Test version:
rhvh-4.1-0.20170202.0+1
imgbased-0.9.6-0.1.el7ev.noarch
firewalld-0.4.3.2-8.1.el7_3.noarch

Test steps:
# firewall-cmd --list-services
cockpit dhcpv6-client ssh vdsm libvirt

# cat /usr/lib/firewalld/services/glusterfs.xml 
<?xml version="1.0" encoding="utf-8"?>
<service>
<short>glusterfs-static</short>
<description>Default ports for gluster-distributed storage</description>
<port protocol="tcp" port="24007"/>    <!--For glusterd -->
<port protocol="tcp" port="24008"/>    <!--For glusterd RDMA port management -->
<port protocol="tcp" port="38465"/>    <!--Gluster NFS service -->
<port protocol="tcp" port="38466"/>    <!--Gluster NFS service -->
<port protocol="tcp" port="38467"/>    <!--Gluster NFS service -->
<port protocol="tcp" port="38468"/>    <!--Gluster NFS service -->
<port protocol="tcp" port="38469"/>    <!--Gluster NFS service -->
<port protocol="tcp" port="49152-49664"/>  <!--512 ports for bricks -->
</service>

Comment 2 cshao 2017-02-28 07:18:35 UTC
Test version:
redhat-virtualization-host-4.1-20170222.0
imgbased-0.9.13-0.1.el7ev.noarch
firewalld-0.4.3.2-8.1.el7_3.noarch

Test result:
# firewall-cmd --list-services
vdsm libvirt cockpit glusterfs ssh dhcpv6-client
#

So the bug is fixed, change bug status to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.